com.google.gwt.dom.client

## Class ButtonElement

- java.lang.Object
- - com.google.gwt.core.client.JavaScriptObject
  - - com.google.gwt.dom.client.Node
    - - com.google.gwt.dom.client.Element
      - - com.google.gwt.dom.client.ButtonElement

    @TagName(value="button")
    public class ButtonElement
    extends Element

Push button.

See Also:
  W3C HTML Specification

### Field Summary

Fields
`static java.lang.String` `TAG`

### Fields inherited from class com.google.gwt.dom.client.Element

`DRAGGABLE_AUTO, DRAGGABLE_FALSE, DRAGGABLE_TRUE`

### Fields inherited from class com.google.gwt.dom.client.Node

`DOCUMENT_NODE, ELEMENT_NODE, TEXT_NODE`

### Constructor Summary

Constructors
`protected` `ButtonElement()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`static ButtonElement` `as(Element elem)` Assert that the given `Element` is compatible with this class and automatically typecast it.
`void` `click()` Simulate a mouse-click.
`java.lang.String` `getAccessKey()` A single character access key to give access to the form control.
`java.lang.String` `getDisabled()` Deprecated. use `isDisabled()` instead.
`FormElement` `getForm()` Returns the FORM element containing this control.
`java.lang.String` `getName()` Form control or object name when submitted with a form.
`java.lang.String` `getType()` The type of button (all lower case).
`java.lang.String` `getValue()` The current form control value.
`static boolean` `is(Element elem)` Determine whether the given `Element` can be cast to this class.
`static boolean` `is(JavaScriptObject o)` Determines whether the given `JavaScriptObject` can be cast to this class.
`static boolean` `is(Node node)` Determine whether the given `Node` can be cast to this class.
`boolean` `isDisabled()` The control is unavailable in this context.
`void` `setAccessKey(java.lang.String accessKey)` A single character access key to give access to the form control.
`void` `setDisabled(boolean disabled)` The control is unavailable in this context.
`void` `setDisabled(java.lang.String disabled)` Deprecated. use `setDisabled(boolean)` instead
`void` `setName(java.lang.String name)` Form control or object name when submitted with a form.
`void` `setValue(java.lang.String value)` The current form control value.

### Methods inherited from class com.google.gwt.dom.client.Element

`addClassName, as, as, blur, dispatchEvent, focus, getAbsoluteBottom, getAbsoluteLeft, getAbsoluteRight, getAbsoluteTop, getAttribute, getClassName, getClientHeight, getClientWidth, getDir, getDraggable, getElementsByTagName, getFirstChildElement, getId, getInnerHTML, getInnerText, getLang, getNextSiblingElement, getOffsetHeight, getOffsetLeft, getOffsetParent, getOffsetTop, getOffsetWidth, getPreviousSiblingElement, getPropertyBoolean, getPropertyDouble, getPropertyInt, getPropertyJSO, getPropertyObject, getPropertyString, getScrollHeight, getScrollLeft, getScrollTop, getScrollWidth, getString, getStyle, getTabIndex, getTagName, getTitle, hasAttribute, hasClassName, hasTagName, indexOfName, removeAttribute, removeClassName, replaceClassName, scrollIntoView, setAttribute, setClassName, setDir, setDraggable, setId, setInnerHTML, setInnerSafeHtml, setInnerText, setLang, setPropertyBoolean, setPropertyDouble, setPropertyInt, setPropertyJSO, setPropertyObject, setPropertyString, setScrollLeft, setScrollTop, setTabIndex, setTitle, toggleClassName`

### Methods inherited from class com.google.gwt.dom.client.Node

`appendChild, cloneNode, getChild, getChildCount, getChildNodes, getFirstChild, getLastChild, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentElement, getParentNode, getPreviousSibling, hasChildNodes, hasParentElement, insertAfter, insertBefore, insertFirst, isOrHasChild, removeAllChildren, removeChild, removeFromParent, replaceChild, setNodeValue`

### Methods inherited from class com.google.gwt.core.client.JavaScriptObject

`cast, createArray, createArray, createFunction, createObject, equals, hashCode, toSource, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### TAG

    public static final java.lang.String TAG

See Also:
  Constant Field Values

### Constructor Detail

#### ButtonElement

    protected ButtonElement()

### Method Detail

#### as

    public static ButtonElement as(Element elem)

Assert that the given `Element` is compatible with this class and automatically typecast it.

#### is

    public static boolean is(JavaScriptObject o)

Determines whether the given `JavaScriptObject` can be cast to this class. A `null` object will cause this method to return `false`.

#### is

    public static boolean is(Node node)

Determine whether the given `Node` can be cast to this class. A `null` node will cause this method to return `false`.

#### is

    public static boolean is(Element elem)

Determine whether the given `Element` can be cast to this class. A `null` node will cause this method to return `false`.

#### click

    public final void click()

Simulate a mouse-click.

#### getAccessKey

    public final java.lang.String getAccessKey()

A single character access key to give access to the form control.

See Also:
  W3C HTML Specification

#### getDisabled

    @Deprecated
    public final java.lang.String getDisabled()

Deprecated. use `isDisabled()` instead.
The control is unavailable in this context.

See Also:
  W3C HTML Specification

#### getForm

    public final FormElement getForm()

Returns the FORM element containing this control. Returns null if this control is not within the context of a form.

#### getName

    public final java.lang.String getName()

Form control or object name when submitted with a form.

See Also:
  W3C HTML Specification

#### getType

    public final java.lang.String getType()

The type of button (all lower case).

See Also:
  W3C HTML Specification

#### getValue

    public final java.lang.String getValue()

The current form control value.

See Also:
  W3C HTML Specification

#### isDisabled

    public final boolean isDisabled()

The control is unavailable in this context.

See Also:
  W3C HTML Specification

#### setAccessKey

    public final void setAccessKey(java.lang.String accessKey)

A single character access key to give access to the form control.

See Also:
  W3C HTML Specification

#### setDisabled

    public final void setDisabled(boolean disabled)

The control is unavailable in this context.

See Also:
  W3C HTML Specification

#### setDisabled

    @Deprecated
    public final void setDisabled(java.lang.String disabled)

Deprecated. use `setDisabled(boolean)` instead
The control is unavailable in this context.

See Also:
  W3C HTML Specification

#### setName

    public final void setName(java.lang.String name)

Form control or object name when submitted with a form.

See Also:
  W3C HTML Specification

#### setValue

    public final void setValue(java.lang.String value)

The current form control value.

See Also:
  W3C HTML Specification